OVERLAY_SET_ALL_INACTIVE(3)

EXPERIMENTAL_FUNC
overlay_set_all_inactive - Clear active state all viewable overlay lists controlled refresh.

SYNOPSIS
#include <karma_overlay.h>

flag overlay_set_all_inactive

(KWorldCanvas canvas, flag force_refresh, flag refresh_if_changed, uaddr key)

DESCRIPTION
This routine will make all viewable overlay lists associated with a world canvas inactive.

canvas
    The world canvas.

force_refresh
    If TRUE, the canvas is always refreshed.

refresh_if_changed
    If TRUE, the canvas is refreshed if the active state of any viewable overlay list changed.

key The key to use for inactivation of viewable overlay lists. If this is 0 then all viewable overlay lists will be made inactive.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/